ceph (19.2.1-0ubuntu3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 06:57:48 +0200

ceph (19.2.1-0ubuntu2) questing; urgency=medium

  * Rebuild against latest fuse3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 May 2025 14:32:29 -0400

ceph (19.2.1-0ubuntu1) plucky; urgency=medium

  * New upstream stable release (LP: #2097605).
  * d/p/snapshot-upgrade-fix.patch: Fix upgrade crashing (LP: #2089565).
  * d/p/dout-fix.patch: remove, unnecessary for new point release.
  * d/p/fix-cephadm-build.patch: update for new point release.

 -- Peter Sabaini <peter.sabaini@canonical.com>  Thu, 06 Mar 2025 10:05:00 +0100

ceph (19.2.0-0ubuntu6) plucky; urgency=medium

  * SECURITY UPDATE: Authentication bypass through unsupported JWT algorithm.
    - debian/patches/CVE-2024-48916.patch: Disallow unsupported JWT algorithms
      in src/rgw/rgw_rest_sts.cc.
    - CVE-2024-48916

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Mon, 13 Jan 2025 16:54:36 -0330

ceph (19.2.0-0ubuntu5) plucky; urgency=medium

  * d/gbp.conf: Set packaging branch to ubuntu/plucky.
  * d/p/py313-compat/*.patch: Cherry pick fixes from upstream main
    branch to resolve compatibility issues with Python 3.13.

 -- James Page <james.page@ubuntu.com>  Fri, 10 Jan 2025 13:45:36 +0000

ceph (19.2.0-0ubuntu4) plucky; urgency=medium

  * Build-depend on cython3 instead of cython3-legacy.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 11:49:00 +0100

ceph (19.2.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 14:44:05 +0100

ceph (19.2.0-0ubuntu2) oracular; urgency=medium

  * d/p/pass-build-flags.patch: Pass buildflags to Python extensions
    (LP: #2078244).

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Oct 2024 15:16:31 +0000

ceph (19.2.0-0ubuntu1) oracular; urgency=medium

  * New upstream stable release (LP: #2081781).

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Sat, 28 Sep 2024 08:23:29 +0100

ceph (19.2.0~rc2-0ubuntu2) oracular; urgency=medium

  * d/p/lp2080208.patch: Cherry pick proposed fix for compatibility with
    newer versions of importlib-metadata (LP: #2080208).

 -- James Page <james.page@ubuntu.com>  Thu, 12 Sep 2024 10:22:36 +0100

ceph (19.2.0~rc2-0ubuntu1) oracular; urgency=medium

  * New upstream release candidate for Ceph Squid (LP: #2065515).
  * d/p/qat-supported-archs.patch: Drop, equivalent upstream.
  * d/p/snapmapper-c++23-compat.patch: Drop, included in release.
  * d/p/*: Refresh.
  * d/control: pkg-config -> pkgconf.
  * d/control: Add missing misc:Depends to cephadm package.
  * d/s/lintian-overrides: Update pattern match for license problem.
  * d/copyright: Fix misc formatting issues.
  * d/p/patch-out-exporter.patch: Remove, not used.
  * d/control,compat: Use modern debhelper-compat.

 -- James Page <james.page@ubuntu.com>  Tue, 03 Sep 2024 09:29:21 +0100

ceph (19.2.0~is.really.19.1.0-0ubuntu2) oracular; urgency=medium

  * d/p/dout-fix.patch: Fix build issues with gcc-14.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Fri, 26 Jul 2024 13:55:13 +0000

ceph (19.2.0~is.really.19.1.0-0ubuntu1) oracular; urgency=medium

  * New upstream release candidate (LP: #2065515):
    - d/p/patch-out-exporter.patch: Drop, enable exporter.
    - d/p/fix-qat-build.patch: Drop, equivalent upstream.
    - d/p/*: Refresh.
    - d/p/boost-url.patch,control: Fix compatibility with Boost >= 1.83.
    - d/p/qat-supported-archs.patch: Only enable QAT on amd64
      architecture.
    - d/p/*: Drop patches no longer in-use.
    - d/control,ceph-exporter.install: Enable ceph-exporter binary
      package.
    - d/p/ceph-exporter-systemd.patch: Cherry pick commit for ceph-
      exporter systemd configuration.
    - d/p/{snapmapper,logentry}-c++23-compat.patch: Cherry pick fixes for
      C++23 compatibility.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Jul 2024 05:15:39 +0100

ceph (19.2.0~git20240301.4c76c50-0ubuntu7) oracular; urgency=medium

  [ Luciano Lo Giudice]
  * d/control: Add python3-{packaging,ceph-common} to (Build-)Depends
    as these are undocumented/detected runtime dependencies in
    ceph-volume (LP: #2064717).

  [ James Page ]
  * d/cephadm.install: Install cephadmlib Python module which the
    cephadm script uses (LP: #2063456).
  * d/control: cephadm linux-any -> all.
  * d/gbp.conf: Update for ubuntu/oracular packaging branch.
  * d/control: Update Vcs-* to point to Launchpad for Ubuntu packaging.
  * d/p/mgr-distutils.patch: Directly use vendored distutils from
    setuptools for Python that runs in the mgr daemon (LP: #2065867).

 -- James Page <james.page@ubuntu.com>  Thu, 23 May 2024 16:30:19 +0100

ceph (19.2.0~git20240301.4c76c50-0ubuntu6) noble; urgency=medium

  * Drop dependency on python3-distutils again (it appears the change from
    19.2.0~git20240301.4c76c50-0ubuntu2 was accidentally dropped in 0ubuntu5).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 19 Apr 2024 14:47:00 +1200

ceph (19.2.0~git20240301.4c76c50-0ubuntu5) noble; urgency=medium

  * Drop support for anything other than 64 bit architectures (LP: #2061815):
    - d/control: Add BD on architecture-is-64-bit.
    - d/control: Remove direct references to 32 bit architectures and
      use linux-any where appropriate.
    - d/p/32bit-fixes.patch,debian-armel-armhf-buildflags.patch: Drop, no
      longer needed.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Apr 2024 05:28:54 +0100

ceph (19.2.0~git20240301.4c76c50-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:27:39 +0000

ceph (19.2.0~git20240301.4c76c50-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:44:30 +0000

ceph (19.2.0~git20240301.4c76c50-0ubuntu2) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 11:41:46 +0100

ceph (19.2.0~git20240301.4c76c50-0ubuntu1) noble; urgency=medium

  * d/rules: Add helper for generating snapshots.
  * New upstream snapshot for Ceph Squid.
  * d/rules: Re-enable SPDK support.
  * d/control: Bump versioned boost depends to >= 1.82.0.
  * d/p/py310-py-ssize-t-compat.patch: Drop, no longer used.
  * d/p/disable-crypto.patch: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Mar 2024 11:03:31 +0000

ceph (19.2.0~git20240228.cb81931-0ubuntu1) noble; urgency=medium

  [ Luciano Lo Giudice ]
  * New snapshot in preparation for Ceph Squid release.
  * d/p/enable-python311.patch: Removed, no longer needed.
  * d/p/cmake-allow-empty-submodules.patch: Removed, no longer needed.
  * d/p/CVE-2023-43040.patch: Removed, included in snapshot.
  * d/p/32bit-fixes.patch: Refresh.
  * d/p/patch-out-exporter.patch: Refresh.
  * d/p/fix-mantic-misc.patch: Refresh.
  * d/p/bug1914584.patch: Refresh.
  * d/p/fix-fmt-check.patch: Fix CMake check for libfmt.
  * d/p/fix-cephadm-build.patch: Fix build and install for cephadm.
  * d/p/fix-qat-build.patch: Only build QAT libs on AMD64.
  * d/rules: Temporarily disable SPDK support.

  [ James Page ]
  * d/p/*: Refresh.
  * d/p/ppc64el-fix-linking.patch: Tweak linking to resolve build
    failure on ppc64el.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Thu, 29 Feb 2024 20:09:32 +0000

ceph (18.2.0-0ubuntu7) noble; urgency=medium

  * d/rules, d/patches: Use java_compat_level to set --release (LP: #2054332)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 19 Feb 2024 22:28:18 +0530

ceph (18.2.0-0ubuntu6) noble; urgency=medium

  * SECURITY UPDATE: Improper bucket validation in POST requests
    - debian/patches/CVE-2023-43040.patch: rgw: Fix bucket validation
      against POST policies
    - CVE-2023-43040

 -- Nick Galanis <nick.galanis@canonical.com>  Wed, 24 Jan 2024 17:57:40 +0000

ceph (18.2.0-0ubuntu5) noble; urgency=medium

  * d/control: depend on resource-agents-common. The transitional
    resource-agents package has been removed.
  * d/p/cmake-allow-empty-submodules.patch: use quotes to allow empty
    submodules variable during the cmake build configuration. This is
    a FTBFS fix for noble.
  * d/control: switch to cython3-legacy. Thanks to Bas Couwenberg.
    (Closes: #1056793)
  * d/p/fix-boost-reef.patch: drop boost 1.74 changes.
  * d/p/fix-boost-1.82-build.patch: fix build for boost >= 1.82.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 19 Jan 2024 16:36:49 -0300

ceph (18.2.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:59:43 +0100

ceph (18.2.0-0ubuntu3) mantic; urgency=medium

  * d/control: Upgrade lua build dependency to 5.4

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 26 Sep 2023 11:00:39 -0700

ceph (18.2.0-0ubuntu2) mantic; urgency=medium

  * d/control,rules: Disable Jaeger support to avoid dependency on Thrift
    which is not in Ubuntu main. 
  * d/cephadm.postinst: Switch back to default location for system user
    cephadm and update all references to /home -> /var/lib.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Sep 2023 16:25:14 +0100

ceph (18.2.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (LP: #2033428).
  * d/p/32bit-fixes.patch: Refresh.
  * d/p/bug1914584.patch: Refresh.
  * d/p/patch-out-exporter.patch: Refresh.
  * d/p/compress-common-depends.patch: Removed, no longer needed.
  * d/p/fix-boost-reef.patch: Fixes to build with Boost on Reef.
  * d/p/fix-mantic-misc.patch: Fix build on Mantic.
  * d/p/fix-kinetic-*: Removed, no longer needed.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Thu, 21 Sep 2023 09:47:04 +0100

ceph (17.2.6-0ubuntu1) mantic; urgency=medium

  [ Luciano Lo Giudice ]
  * New upstream point release (LP: #2018929).
  * d/p/*: Refresh.

  [ James Page ]
  * d/p/32bit-fixes.patch: rework size_t usage to avoid FTBFS on 32 bit
    architectures.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Fri, 26 May 2023 15:39:37 +0100

ceph (17.2.5-0ubuntu2) lunar; urgency=medium

  * d/ceph-mgr.install: Add object_format.py to mgr install.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 13 Mar 2023 20:56:53 +0000

ceph (17.2.5-0ubuntu1) lunar; urgency=medium

  * New upstream point release (LP: #1998958).
  * d/p/py310-py-ssize-t-compat.patch,
    d/p/dc69033763cc116c6ccdf1f97149a74248691042.patch,
    d/p/a124f6c47b119a8741f347ea5a809f3fb48d6679.patch:
    Dropped, included upstream.
  * d/p/patch-out-exporter.patch: Don't build the node exporter as it
    fails on Jammy.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Tue, 21 Feb 2023 16:36:30 +0000

ceph (17.2.0-0ubuntu9) lunar; urgency=medium

  [ Peter Sabaini ]
  * Create package for the cephfs-mirror tool (LP: #2003704)
  * Fix: add the mgr.nfs package to the core modules (LP: #2003530).

  [ Chris MacNaughton ]
  * d/p/enable-python311.patch: Cherry-pick upstream change to
    enable Python 3.11 support (LP: #2004038).

  [ James Page ]
  * d/gbp.conf: Update default-branch to lunar.

 -- Peter Sabaini <peter.sabaini@canonical.com>  Fri, 10 Feb 2023 15:39:01 +0000

ceph (17.2.0-0ubuntu8) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 05 Feb 2023 21:40:55 -0500

ceph (17.2.0-0ubuntu7) lunar; urgency=medium

  * debian/patches/dc69033763cc116c6ccdf1f97149a74248691042.patch:
  * debian/patches/a124f6c47b119a8741f347ea5a809f3fb48d6679.patch:
    - cherry-pick upstream cephfs-shell fixes.
  * Fix cephfs-shell install file, taken from Debian 16.2.11+ds-1
  * Add fix-CheckCxxAtomic-riscv64.patch from Debian 16.2.10+ds-3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Jan 2023 17:17:28 +0100

ceph (17.2.0-0ubuntu6) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Dec 2022 09:49:49 +0000

ceph (17.2.0-0ubuntu5) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:43:54 +0000

ceph (17.2.0-0ubuntu4) kinetic; urgency=medium

  * d/p/fix-kinetic-libfmt.patch: Apply fixes for libfmt > 8.
  * d/p/fix-kinetic-misc.patch: Misc fixes for Ubuntu Kinetic.

 -- Luciano Lo Giudice <luciano.logiudice@canonical.com>  Thu, 22 Sep 2022 17:00:12 +0100

ceph (17.2.0-0ubuntu3) kinetic; urgency=medium

  * No-change rebuild to pick up fixed libboost-python dependencies

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 03 Sep 2022 13:07:13 +0000

ceph (17.2.0-0ubuntu2) kinetic; urgency=medium

  * d/p/lp1986747-fix-osd-class-dir.patch: Fix rados-classes
    search path (LP: #1986747).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 01 Sep 2022 16:33:54 +0100

ceph (17.2.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for Ceph Quincy (LP: #1968318):
    - d/p/*: Refresh.
    - d/rules: Disable RADOS Gateway Parquet Object support to avoid
      pulling new dependencies into Ubuntu main.

 -- James Page <james.page@ubuntu.com>  Sun, 01 May 2022 12:00:42 +0100

ceph (17.1.0-0ubuntu3) jammy; urgency=medium

  * d/p/py310-py-ssize-t-compat.patch: Cherry pick fix to resolve
    compatibility issues with Python 3.10 (LP: #1964322).
  * d/ceph-osd.postinst: apply sysctl tuning for ceph-osd daemons
    on installation (LP: #1903221).
  * d/control: Drop use of google-perftools on armhf (LP: #1812179).

 -- James Page <james.page@ubuntu.com>  Tue, 22 Mar 2022 10:22:37 +0000

ceph (17.1.0-0ubuntu2) jammy; urgency=medium

  * d/rules: Re-enable SPDK support on supported architectures
    (LP: #1965109).

 -- James Page <james.page@ubuntu.com>  Wed, 16 Mar 2022 09:43:16 +0000

ceph (17.1.0-0ubuntu1) jammy; urgency=medium

  * d/control: Correct Depends: python3-cherrypy -> python3-cherrypy3.
  * New upstream release candidate for Quincy release.

 -- James Page <james.page@ubuntu.com>  Tue, 01 Mar 2022 08:21:39 +0100

ceph (17.0.0~git20220222.60fd24-0ubuntu1) jammy; urgency=medium

  * New snapshot from Quincy branch.
  * d/p/civetweb*: Drop all civetweb related patches as support dropped
    in Ceph.
  * d/p/*: Refresh.
  * d/rules: Tweak install location for Prometheus alerts configuration.
  * d/rules: Switch to using SYSTEMD_SYSTEM_UNIT_DIR fpr systemd
    configuration file installation.
  * d/control: Add Suggests: python3-onelogin-saml2 for mgr-dashboard
    package for SSO integration.

 -- James Page <james.page@ubuntu.com>  Wed, 23 Feb 2022 10:20:11 +0000

ceph (17.0.0~git20220204.g77865-0ubuntu1) jammy; urgency=medium

  [ James Page ]
  * New snapshot from Quincy branch.
  * d/p/*: Refresh
  * d/p/bug1917414.patch: Drop, included in snapshot.
  * d/control: Switch build to use fuse3 (LP: #1959744).
  * d/ceph-common.install: Add crushdiff binary and manpage.
  * d/control,ceph-{osd,volume}.install: Split ceph-volume into separate
    package.
  * d/rules: Exclude ceph_crypto modules from dh_shlibdeps.
  * d/p/disable-log-slow-requests.patch: Drop, equivalent fix in
    upstream snapshot.
  * d/p/compress-common-depends.patch: Add dependency from compressor-
    >common.
  * d/*.symbols: Refresh for new snapshot.
  * d/p/spdk-fix-make-exe.patch: Fix SPDK build for compat with newer
    cmake.
  * d/rules: Disable MAX_PARALLEL calculation for pkg.ceph.unleashed
    build profile.
  * d/rules: Disable SPDK feature due to build system issues.

  [ Luciano Lo Giudice ]
  * d/p/32bit-fixes.patch: Add more 32 bit fixes.

 -- James Page <james.page@ubuntu.com>  Tue, 22 Feb 2022 09:01:27 +0000

ceph (16.2.7-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1953599).
  * d/control,ceph-{osd,base}.install,rules: Update name of smartctl
    sudoers file and move to ceph-base package to allow use from both
    mon and osd services.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Dec 2021 14:05:19 +0000

ceph (16.2.6-0ubuntu3) jammy; urgency=medium

  * d/p/patch-spdk-no-literal.patch -> spdk_top-string-format.patch
    Refresh patch with upstream proposed approach to fix.
  * d/*: wrap-and-sort -bast.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Nov 2021 09:26:59 +0000

ceph (16.2.6-0ubuntu2) jammy; urgency=medium

  [ James Page ]
  * d/ceph-{mon,osd}.postinst: Ensure permissions on
    /var/lib/ceph/{osd,mon} are correct irrespective of package
    installation order (LP: #1948986).

  [ Chris MacNaughton ]
  * d/p/patch-spdk-no-literal.patch: Disable warning->error for specific
    function calls in spdk.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 11 Nov 2021 13:52:52 +0000

ceph (16.2.6-0ubuntu1) impish; urgency=medium

  * New upstream stable release (LP: #1943932).
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Sat, 18 Sep 2021 13:03:53 +0100

ceph (16.2.5-0ubuntu4) impish; urgency=medium

  * d/control: The ISA-L EC plugin changed its build dependency from yasm to
    nasm 2.13.03 or newer (LP: #1940697).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 10 Sep 2021 14:56:29 +0100

ceph (16.2.5-0ubuntu3) impish; urgency=medium

  * d/librbd1.install: Install any built extensions to librbd.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Sep 2021 09:35:44 +0100

ceph (16.2.5-0ubuntu2) impish; urgency=medium

  * d/rule: Ensure prometheus alerts are installed correctly, resolving
    FTBFS.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Jul 2021 14:08:48 +0100

ceph (16.2.5-0ubuntu1) impish; urgency=medium

  * New upstream point release (LP: #1935817).
  * d/control,ceph-grafana-dashboards.install: Add new binary package
    for Ceph Grafana dashboards.
  * d/control,ceph-prometheus-alerts.install: Add new binary package
    for Ceph Prometheus alerts.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Jul 2021 10:23:08 +0100

ceph (16.2.4-0ubuntu2) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 17:44:40 -0400

ceph (16.2.4-0ubuntu1) impish; urgency=medium

  * d/rules,control: Enable new crimson-osd package and provide
    seastar based crimson-osd binary.
  * SECURITY UPDATE: New upstream release (LP: #1928645):
    - CVE-2021-3509: Dashboard XSS via token cookie.
    - CVE-2021-3531: Swift API denial of service.
    - CVE-2021-3531: HTTP header injects via CORS in RGW.
    - d/p/bug1925347.patch: Drop, included in release.

 -- James Page <james.page@ubuntu.com>  Tue, 25 May 2021 09:14:52 +0100

ceph (16.2.1-0ubuntu1) impish; urgency=medium

  [ Chris MacNaughton ]
  * d/ceph-base.install: Remove ceph-deploy man page installation
    (LP: #1892448).

  [ James Page ]
  * SECURITY UPDATE: New upstream point release (LP: #1925322):
    - CVE-2021-20288
  * d/rules: remove temporary build objects after install to avoid
    running out of disk space during package builds.
  * d/p/bug1925347.patch: Cherry pick fix to revert ProtectClock
    permissions change in systemd configurations which prevents the
    ceph-osd process from starting (LP: #1925347).

 -- James Page <james.page@ubuntu.com>  Tue, 04 May 2021 19:21:24 +0100

ceph (16.2.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
   * d/p/bug1914584.patch: Improve rgw diagnostic when reusing email
    (LP: #1914584).

  [ James Page ]
  * New stable release for Ceph Pacific (LP: #1922883):
    - d/control: Add BD's on libicu-dev and libsqlite3-dev.
    - d/control,libsqlite3-mod-ceph*: Add new binary packages
      for sqlite3 extension module for Ceph.
    - d/rules: Enable RBD RWL and SSD Cache features.
    - d/radosgw.install: Add new rgw-gap* binaries.
    - d/python3-cephfs.install: Restore ceph_volume_client.py
      for use in OpenStack Manila deployments.
    - d/control,rules: Add BD's on libpmem{obj}-dev and enable use
      of system libraries.
  * Dropped patches, all included in release:
    - d/p/fix-ftbfs-c++17.patch
    - d/p/fix-boost-1.74-build.patch
    - d/p/issue49494.patch
  * d/p/*: Refresh.
  * d/p/32bit-fixes.patch: Additional updates for armhf compilation
    failures.
  * d/rules: Disable LTO.

 -- James Page <james.page@ubuntu.com>  Sat, 10 Apr 2021 08:14:20 +0100

ceph (16.1.0-0ubuntu3) hirsute; urgency=medium

  * d/p/issue49494.patch: Cherry pick fix for issue with preprocessor
    logic which causes backport failures to focal.
  * d/p/bug1917414.patch: Cherry pick fix to isa-l to remove use of text
    relocation calls which cause ceph-osd and ceph-mon daemons to fail
    to start (LP: #1917414).

 -- James Page <james.page@ubuntu.com>  Mon, 15 Mar 2021 08:26:01 +0000

ceph (16.1.0-0ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:12:17 +0000

ceph (16.1.0-0ubuntu1) hirsute; urgency=medium

  * New interim release in preparation for Ceph Pacific.
  * d/p/*: Refresh, drop any patches included upstream.
  * d/control,ceph-mgr-diskprediction-cloud.*: Drop ceph-mgr-
    diskprediction-cloud package, feature dropped upstream.
  * d/ceph-mgr-modules-core.install: Include new snap_schedule and stats
    modules.
  * d/ceph-osd.install: Include ceph-erasure-code-tool binary.
  * d/control: Add libcryptsetup-dev to BD's.
  * d/control: Add liblua5.3-dev and luarocks to BD's.
  * d/control: Drop use of python3-six.
  * d/control: Add python3-jinja2 to Depends of ceph-mgr-cephadm.
  * d/libcephfs-dev.install: Add new Types.h header.
  * d/librgw{2,-dev}.install: Drop header and so for librgw_admin_user.
  * d/python3-cephfs.install: Drop install of ceph_volume_client.py.
  * New upstream snapshot for Pacific release.
  * d/control: Add libboost-filesystem-dev to BD's, bump boost minimum
    version to 1.74.0.
  * d/rules: Install grafana dashboards.
  * d/p/fix-boost-1.74-build.patch: Resolve build failure with boost
    1.74/c++ 17.
  * d/rules: Drop install of cephadm sudoers configuration.
  * d/cephadm.install: Drop sudoers file, include manpage.
  * d/*.symbols: Update for new release.
  * d/control,rules: Enable use of boost context for riscv64 as its no
    longer an optional dependency.
  * d/p/32bit-fixes.patch: Fix issues with mismatched size_t max
    comparision on armhf.
  * d/p/disable-log-slow-requests.patch: Remove logging every slow request
    details to monitors LP: #1909162).

 -- James Page <james.page@ubuntu.com>  Mon, 08 Feb 2021 08:10:12 +0000

ceph (15.2.7-0ubuntu4) hirsute; urgency=medium

  * Try to clean up obj build-dir on riscv64 to not run out of disk space
    during build.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Jan 2021 12:06:58 +0000

ceph (15.2.7-0ubuntu3) hirsute; urgency=medium

  * Fix ftbfs in hirsute, due to missing atomic include.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 04 Jan 2021 14:47:39 +0000

ceph (15.2.7-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:04:13 +0100

ceph (15.2.7-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/p/python3.9.patch: Renamed from patch3.9.diff as Vcs .gitignore
    will otherwise ignore.

  [ James Page ]
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 04 Dec 2020 09:23:59 +0000

ceph (15.2.5-0ubuntu4) hirsute; urgency=medium

  * Make Python 3.9 a known Python3 version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Nov 2020 09:20:31 +0100

ceph (15.2.5-0ubuntu3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 20:18:25 +0100

ceph (15.2.5-0ubuntu2) hirsute; urgency=medium

  * Also install ceph_ll_client.h needed by libcephfs.h header file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 01 Nov 2020 09:51:15 +0100

ceph (15.2.5-0ubuntu1) groovy; urgency=medium

  [ Corey Bryant ]
  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * d/p/enable-strsignal.patch: Enable HAVE_REENTRANT_STRSIGNAL for groovy
    to fix FTBFS with glibc 2.32.
  * d/p/rules: Enable RelWithDebInfo (LP: #1894453).

  [ James Page ]
  * New upstream point release (LP: #1898200).
  * d/p/fix-crash-in-committed-osd-maps.patch: Drop, included upstream.
  * d/p/*: Refresh.
  * d/libcephfs-dev.install: Drop ceph_statx.h.

  [ Dimitri John Ledkov ]
  * d/rules,control: Enable boost context usage on s390x (LP: #1694926).

 -- James Page <james.page@ubuntu.com>  Tue, 06 Oct 2020 12:01:52 +0100

ceph (15.2.3-0ubuntu3) groovy; urgency=medium

  * d/control: Drop BD on obsolete cython (LP: #1891820).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 17 Aug 2020 13:46:06 -0400

ceph (15.2.3-0ubuntu2) groovy; urgency=medium

  * d/p/fix-crash-in-committed-osd-maps.patch: Fix ceph-osd crash
    when processing osd map updates (LP: #1891567).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Aug 2020 11:30:12 -0400

ceph (15.2.3-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Add python3-yaml to the Ceph dashboard depends (LP: #1876325)

  [ James Page ]
  * New upstream release (LP: #1880084).
  * d/p/revert-rgw-move-frontends-initial-init-to-after-glob.patch:
    Dropped, fix upstream.
  * d/p/32bit-fixes.patch: Misc updates for 32bit arch build failures.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Mon, 08 Jun 2020 09:20:21 +0100

ceph (15.2.1-0ubuntu2) focal; urgency=medium

  * Link with -pthread to fix FTBFS on riscv64.

 -- William Grant <wgrant@ubuntu.com>  Sun, 19 Apr 2020 13:58:15 +1000

ceph (15.2.1-0ubuntu1) focal; urgency=high

  * New upstream point release for Octopus (LP: #1873193):
    - CVE-2020-1759: Fixed nonce reuse in msgr V2 secure mode.
    - CVE-2020-1760: Fixed XSS due to RGW GetObject header-splitting.
  * d/copyright: Restore excluded files.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Apr 2020 20:08:37 +0100

ceph (15.2.0-0ubuntu2) focal; urgency=high

  * d/p/revert-rgw-move-frontends-initial-init-to-after-glob.patch:
    Revert change to initialize global ceph context before determination
    of the frontend in use, ensuring that privs are not dropped before
    any frontend port binding to ports < 1024 has been completed
    (LP: #1869324).

 -- James Page <james.page@ubuntu.com>  Wed, 08 Apr 2020 10:39:39 +0100

ceph (15.2.0-0ubuntu1) focal; urgency=medium

  * New upstream release for Ceph Octopus.
  * d/control: Fix dependencies for ceph-mds package to avoid issues
    with missing C++ symbols (LP: #1862850).

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 08:29:08 +0000

ceph (15.1.1-0ubuntu1) focal; urgency=medium

  * New upstream release candidate for Octopus.
  * d/p/*: Refresh
  * d/ceph-mgr.install: Drop ansible module.
  * d/ceph-mgr.install: Drop deepsea module.
  * d/control: Make cephadm Recommend (but not require) docker.io.
  * d/control: Add python3-jsonpatch to ceph-mgr-rook Depends.
  * d/ceph-mgr.install: Rename orchestrator_cli to orchestrator.
  * d/ceph-mgr.install: Add osd_support module.
  * d/control,ceph-mgr-modules-core.install: Add new arch:all package
    for mgr modules, rename plugin->module as needed.
  * d/ceph-mgr.install: Drop modules that have moved to
    ceph-mgr-modules-core.
  * d/control: fix upgrade path for move of modules to -core package.
  * d/control: Move python3-openssl Depends to -modules-core package.
  * d/control: Add missing Depends on python3-dateutil to
    ceph-mgr-modules-core.
  * d/*.symbols: Refresh for new RC.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Mar 2020 11:19:04 +0000

ceph (15.1.0-0ubuntu3) focal; urgency=medium

  * d/*.symbols: Update symbols files for new release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Feb 2020 08:51:34 +0000

ceph (15.1.0-0ubuntu2) focal; urgency=medium

  * d/rules,control: Disable Kafka endpoint support for RGW.

 -- James Page <james.page@ubuntu.com>  Mon, 10 Feb 2020 11:53:47 +0000

ceph (15.1.0-0ubuntu1) focal; urgency=medium

  * SECURITY UPDATE: New upstream release (LP: #1861789) including
    fixes for:
    - CVE-2020-1699
    - CVE-2020-1700
  * d/p/32466.patch-*: Drop, included in release.
  * New upstream release candidate for Octopus.
  * d/p/32bit-avoid-overloading.patch,32bit-avoid-size_t.patch,bluefs-
    use-uint64_t-for-len.patch,fix-clang-build.patch: Drop, no longer
    needed.
  * Sync packaging changes with upstream:
    - d/control,rules,ceph-mgr-ssh.*: Drop ceph-mgr-ssh package.
    - d/control,rules,{ceph-mgr-}cephadm.*: Add new ceph-mgr-cephadm
      and cephadm packages, install sudoers file.
    - d/control,ceph-immutable-object-cache.*: Add new
      ceph-immutable-object-cache package.
    - d/control,python3-ceph-common.install: Add new python3-ceph-common
      package.
  * d/*: wrap-and-sort -bast.
  * d/control: Add librdkafka-dev to BD's.
  * d/p/32bit-fixes.patch: Misc fixes for compilation failures on 32 bit
    architectures.

 -- James Page <james.page@ubuntu.com>  Fri, 07 Feb 2020 11:24:29 +0000

ceph (14.2.5-3ubuntu5) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:03:18 +0000

ceph (14.2.5-3ubuntu4) focal; urgency=medium

  * d/rules: Don't switch to using clang for armhf on Ubuntu as g++
    is just fine and does not produce an over linked set of binaries.

 -- James Page <james.page@ubuntu.com>  Mon, 27 Jan 2020 09:20:28 +0000

ceph (14.2.5-3ubuntu3) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:46:31 +0000

ceph (14.2.5-3ubuntu2) focal; urgency=medium

  * d/control: Recommends->Suggests on ceph-fuse for ceph-mds
    package to avoid main inclusion.
  * d/rules: Skip radosgw, ceph-common and rbd-mirror packages on i386.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Jan 2020 09:27:03 +0000

ceph (14.2.5-3ubuntu1) focal; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/control: Add missing Depends on python3-{distutils,routes} to
      ceph-mgr-dashboard package (LP: #1858304).
  * All other changes merged into Debian packaging (Thanks Bernd).
  * d/control: Fix misnamed package Recommends brbd1 -> librbd1.
  * d/control: Add missing debhelper misc:Depends for python3-ceph.

 -- James Page <james.page@ubuntu.com>  Fri, 10 Jan 2020 09:22:49 +0000

ceph (14.2.5-3) unstable; urgency=medium

  * Uploading to unstable

  * [010db9a] Fix ceph-mgr - indefinite queue growth hangs.
    Applying the backport for the fix
    https://github.com/ceph/ceph/pull/32466
    Thanks to Milan Kupcevic (Closes: #947969)
  * [b01de37] Merge branch 'debian/unstable' into debian/experimental
  * [c8f35e5] Add breaks/replaces for ceph-common - ceph mds.
  * [ee905cb] Revert "Configure gbp for experimental"
    This reverts commit 3bcd5ac5f416b902a868036c243d7f19752c82f8.
  * [6303513] Revert "CI: build in experimental"
    This reverts commit d481122833e611c69c28e2b381e1cc1c8f689385.
  * [f1a9482] Snapshot changelog
  * [6e955c8] Removing automatic Ubuntu header
  * [b90d95a] Mark patch as forwarded

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 07 Jan 2020 20:50:28 +0100

ceph (14.2.5-2) experimental; urgency=medium
  
  * [8c74414] lower --max-parallel for >=16GB
    g++ loves to eat ram
  * [b15dcdd] Build-dep. on python3-dev instead python3-all-dev.
    Thanks to Graham Inggs (Closes: #948021)
  * [d481122] CI: build in experimental
  * [4303a75] 32bit: fix more size_t vs uint64_t issues.
  * [c98ea07] Install bash-completion in /usr again.
    This change went missing somewhere during the import of the
    changes done in Ubuntu between 12.2.11 and 14.2.4.
    Thanks to Andreas Beckmann (Closes: #948165)
  * [c7d90b9] Move manpages to ceph-common again.
    This also went missing during the import.
  * [3e5a680] Use a better way to check if we are on 32bit.
  * [c03cd06] rm d/p/boost-py37-compat.patch.
    Upstream renamed assert.h to ceph_assert.h, so this patch should not be
    necessary anymore.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Jan 2020 00:04:23 +0100

ceph (14.2.5-1) experimental; urgency=medium

  [ Bernd Zeimetz ]
  * [3bcd5ac] Configure gbp for experimental
  * [bd0b051] New upstream version 14.2.5
  * [46cbe61] Merge upstream changes for 14.2.5
  * [4dfd819] Refreshing patches
  * [da26f25] Fix copy&paste errors in build-deps.
  * [7ff43a2] Mark build-deps needed for make check.
    And remove the need to install them.
  * [5ef8ac3] Remove left over patch file
  * [91ab5b9] */lib_tp.so files are not built, don't install them.
  * [44591e4] Don't try to install files we don't build
  * [db0994e] librbd1.symbols: add new symbols.
  * [d53724e] Add install/postinstall files for ceph-mgr-k8sevents
  * [acada37] Add lintian override for .chm file.
    Source and build info is shipped.
  * [bbb0bd6] copy the radosgw init file in override_dh_installinit.
  * [a5958d5] Avoid duplicate files.
    etc/bash_completion.d/ceph was accidentally shipped in ceph-base again.
  * [fbc33a3] Add missing > in Dependency.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 02 Jan 2020 10:52:50 +0100

ceph (14.2.4-9) unstable; urgency=medium

  * [8c74414] lower --max-parallel for >=16GB
    g++ loves to eat ram
  * [b15dcdd] Build-dep. on python3-dev instead python3-all-dev.
    Thanks to Graham Inggs (Closes: #948021)
  * [c98ea07] Install bash-completion in /usr again.
    This change went missing somewhere during the import of the
    changes done in Ubuntu between 12.2.11 and 14.2.4.
    Thanks to Andreas Beckmann (Closes: #948165)
  * [c7d90b9] Move manpages to ceph-common again.
    This also went missing during the import.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Jan 2020 00:22:21 +0100

ceph (14.2.4-8) unstable; urgency=medium

  * [e187e6a] Use WITH_CCACHE from cmake to build with ccache.
  * [8cbe25e] Hack CMakeCache.txt to disable HAVE_ARM_NEON on armel.
    after trying to patch the various places where HAVE_ARM_NEON is used
    the easiest way to get rid of it on armel seems to be to patch the cmake
    cache file.
  * [424ea9b] Don't build ceph on mipsel.
    No compiler is able to build the code without running into oom-issues.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 01 Jan 2020 19:29:48 +0100

ceph (14.2.4-7) unstable; urgency=medium

  * [9b97753] Make sure we use ccache if needed.
  * [3dbd1ac] d/rules: Remove the armel fpu options.
    Hopefully properly patched now.
  * [da253e4] m68k, sh4: build with clang to avoid gcc OOM.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 31 Dec 2019 00:13:23 +0100

ceph (14.2.4-6) unstable; urgency=medium

  * [b1c9b5d] Try to reduce memory usage even further if needed.
    gcc loves to eat too much memory on armhf mipsel armel.
  * [d695778] Remove softfp patch in favour of build flags.
    This hopefully avoids the need to update and debug the patch.
  * [6eddb32] Build with clang(++) on armhf mipsel armel.
    Reports seem to suggest that clang does not need as much memory as gcc.
  * [b9420ba] Fix unsigned/size_t issue for sh4 & m86k.
  * [0027181] Updating changelog
  * [6502f60] Fix another 32bit size_t/uint64_t issue.
    In src/common/options.cc line 192.
  * [4a0b044] Fix another 32bit size_t/uint64_t issue.
    This time: powerpc.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 29 Dec 2019 17:38:10 +0100

ceph (14.2.4-5) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [453eaa4] Avoid using make -j 32 on powerpc.
    A lot of CPU do not always help.

  [ Milan Kupcevic ]
  * [c6ec924] cherry pick critical bluestore data corruption fix
    (Closes: #947457)

  [ Bernd Zeimetz ]
  * [e88fc21] Set -DWITH_BOOST_CONTEXT=OFF where necessary.
    [!s390x !mips64el !ia64 !m68k !ppc64 !riscv64 !sh4 !sparc64 !x32]

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 28 Dec 2019 15:54:51 +0100

ceph (14.2.4-4) unstable; urgency=medium

  * [b70efb1] Create missing directories for arch:all build.
  * [3e4530f] try to save even more memory on armhf.
    Don't build debug flags at all.
  * [b478ee5] Avoid overloading on mipsel.
    Add mipsel to debian/patches/32bit-avoid-overloading.patch
  * [85eb6e9] Also build jerasure with softfp on armel.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 26 Dec 2019 16:03:51 +0100

ceph (14.2.4-3) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [f3f47f5] CI: disable extra-long running tests.

  [ Steve Langasek ]
  * [9794fc4] Drop uninstallable and unneeded server binaries on i386.
    (Closes: #947156)

  [ Bernd Zeimetz ]
  * [6c2993f] Merge tag 'debian/14.2.4-0ubuntu3' into debian/unstable
  * [0c5b41f] Use a tracker.d.o list instead of a closed one. (Closes: #760538)
  * [d95db97] Try to build with --max-parallel=1 on slow arches.
    We run into out-of-memory errors again.
  * [e8d9e63] Use -mfloat-abi=softfp on armel for NEON instructions.
    And again, that patch went missing somewhere.
    Taken from
    https://salsa.debian.org/ceph-team/ceph/commit/fa7d0d84f736d0b8450572f3192a43ff7b3252c4

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 24 Dec 2019 13:03:45 +0100

ceph (14.2.4-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * [4b2327d] Add a python3-ceph metapackage.

  [ Bernd Zeimetz ]
  * [dbc7d2f] Add lintian override for empty python3-ceph package.
  * [5381390] Remove -en from description.
    We actually want to have a description in the changes file...
  * [4a57f31] Make python3-ceph dependencies binNMU safe

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 28 Nov 2019 09:43:37 +0100

ceph (14.2.4-1) unstable; urgency=medium

  * Uploading 14.2.4 to Debian.
    (Closes: #936282, #943961, #940854, #942733)
  * Adding missing sources (two.js, bootstrap 3.3.4)
  * ceph-mon.postinst missed the interpreter
  * Add missing dependency on python3
  * ignore lintian errors about minified js with shipped sources
  * Radowgw uses a systemd template, override lintian.
  * libcephfs-jni: rpath to java libraries needed.
    Add lintian override.
  * Remove .pc folder from debian folder.
  * Adding myself to Uploaders
  * Merging the work done in Ubuntu.

      [ Dariusz Gadomski ]
      * d/p/issue37490.patch: Cherry pick fix to optimize LVM queries in
        ceph-volume, resolving performance issues in systems under heavy load
        or with large numbers of disks (LP: #1850754).
    
      [ James Page ]
      * d/p/issue40114.patch: Cherry pick endian fixes to resolve issues
        using Ceph on big-endian architectures such as s390x (LP: #1851290).
      * New upstream release (LP: #1850901):
        - d/p/more-py3-compat.patch,ceph-volume-wait-for-lvs.patch,
          ceph-volume-wait-for-lvs.patch: Drop, included upstream.
        - d/p/bluefs-use-uint64_t-for-len.patch: Cherry pick fix to resolve
          FTBFS on 32 bit architectures.
      * d/rules: Disable SPDK support as this generates a build which
        has a minimum CPU baseline of 'corei7' on x86_64 which is not
        compatible with older CPU's (LP: #1842020).
      * d/p/issue40781.patch: Cherry pick fix for py3 compatibility in ceph-
        crash.
    
      [ Eric Desrochers ]
      * Ensure that daemons are not automatically restarted during package
        upgrades (LP: #1840347):
        - d/rules: Use "--no-restart-after-upgrade" and "--no-stop-on-upgrade"
          instead of "--no-restart-on-upgrade".
        - d/rules: Drop exclusion for ceph-[osd,mon,mds] for restarts.
    
      [ Jesse Williamson ]
      * d/p/civetweb-755-1.8-somaxconn-configurable*.patch: Backport changes
        to civetweb to allow tuning of SOMAXCONN in Ceph RADOS Gateway
        deployments (LP: #1838109).
    
      [ James Page ]
      * d/p/ceph-volume-wait-for-lvs.patch: Cherry pick inflight fix to
        ensure that required wal and db devices are present before
        activating OSD's (LP: #1828617).
    
      [ Steve Beattie ]
      * SECURITY UPDATE: RADOS gateway remote denial of service
        - d/p/CVE-2019-10222.patch: rgw: asio: check the remote endpoint
          before processing requests.
        - CVE-2019-10222
        - Closes: #936015
    
      [ James Page ]
      * New upstream release.
      * d/p/fix-py3-encoding-fsid.patch: Drop, no longer required.
      * d/p/pybind-auto-encode-decode-cstr.patch: Drop, reverted upstream.
      * d/p/fix-py3-encoding-fsid.patch: Cherry pick correct fix to resolve
        FSID encoding issues under Python 3 (LP: #1833079).
      * d/p/pybind-auto-encode-decode-cstr.patch: Cherry pick fix to ensure
        that encoding/decoding of strings is correctly performed under
        Python 3 (LP: #1833079).
    
      * New upstream release.
      * d/p/misc-32-bit-fixes.patch: Drop, included upstream.
      * d/p/py37-compat.patch: Drop, included upstream.
      * d/p/collections.abc-compat.patch: Drop, included in release.
      * d/p/*: Refresh.
      * d/*: Re-sync packaging with upstream for Nautilus release.
      * d/control,ceph-test.*,rules: Disable build of test binaries, drop
        ceph-test binary package (reduce build size).
      * d/control,rules: Use system boost libraries (reduce build time).
      * d/control: Add dependency on smartmontools, suggest use of nvme-cli
        for ceph-osd package.
      * d/p/32bit-*.patch: Fix misc 32 bit related issues which cause
        compilation failures on armhf and i386 architectures.
      * d/control: Add Breaks/Replaces on ceph-common for ceph-argparse to
        deal with move of Python module.
    
      * New upstream release (LP: #1810766).
      * d/p/*: Refresh.
    
      * d/p/more-py3-compat.patch: Add more py3 fixes.
    
      * d/p/more-py3-compat.patch: Misc Python 3 fixes in ceph-create-keys.
    
      * d/tests/python-ceph: Fix python3 test support resolving
        autopkgtest failure.
    
      * New upstream point release.
      * d/p/*: Refresh.
      * d/control,python-*.install,rules: Drop Python 2 support.
      * d/tests: Update for Python 2 removal.
      * d/p/misc-32-bit-fixes.patch: Update type of rgw_max_attr_name_len,
        resolving SIGABRT in radosgw (LP: #1805145).
      * d/p/boost-py37-compat.patch: Fix compilation issue with boost
        imports conflicting with ceph's assert.h header.
      * d/p/collections.abc-compat.patch: Selective cherry-pick of upstream
        fix for future compatibility with Python 3.8, avoiding deprecation
        warnings under Python 3.7.
    
      * d/ceph-mds.install: Install missing systemd configuration
        (LP: #1789927).
    
      * Re-instate 32bit architectures.
        - d/control: Switch back to linux-any
        - d/p/misc-32-bit-fixes.patch: Misc fixes for compilation
          failures under 32 bit architectures.
        - d/rules: Disable SPDK integration under i386.
      * Repack upstream tarball, excluding non-DFSG sources (LP: #1750848):
        - d/copyright: Purge upstream tarball of minified js files, which
          are neither shipped in binaries or required for package build.
        - d/watch: Add dversionmangle for +dfsg\d version suffix.
      * d/control,rules: Drop requirement for gcc-7 for arm64.
      * d/ceph-osd.udev: Add udev rules for sample LVM layout for OSD's,
        ensuring that LV's have ceph:ceph ownership (LP: #1767087).
    
      * d/copyright,source.lintian-overrides: Exclude jsonchecker component
        of rapidjson avoiding license-problem-json-evil non-free issue.
      * New upstream point release.
      * d/control: Remove obsolete X{S}-* fields.
    
      * New upstream release.
      * Sync with changes in upstream packaging:
        - d/*.install,rules: Use generated systemd unit files for install
        - d/ceph-test.install: Drop binaries removed upstream.
      * d/p/*: Refresh and drop as needed.
      * d/*.symbols: Refresh for new release.
      * d/rules,calc-max-parallel.sh: Automatically calculate the maximum
        number of parallel compilation units based on total memory.
      * d/control: Drop support for 32 bit architectures.
      * d/control: Update Vcs-* fields for Ubuntu.
      * d/control: Drop min python version field.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 18 Nov 2019 14:18:10 +0100

ceph (14.2.4-0ubuntu3) focal; urgency=medium

  * Drop uninstallable and unneeded server binaries on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 21 Dec 2019 17:05:10 -0600

ceph (14.2.4-0ubuntu2) focal; urgency=medium

  [ Dariusz Gadomski ]
  * d/p/issue37490.patch: Cherry pick fix to optimize LVM queries in
    ceph-volume, resolving performance issues in systems under heavy load
    or with large numbers of disks (LP: #1850754).

  [ James Page ]
  * d/p/issue40114.patch: Cherry pick endian fixes to resolve issues
    using Ceph on big-endian architectures such as s390x (LP: #1851290).

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Wed, 06 Nov 2019 11:08:53 +0100

ceph (14.2.4-0ubuntu1) focal; urgency=medium

  * New upstream release (LP: #1850901):
    - d/p/more-py3-compat.patch,ceph-volume-wait-for-lvs.patch,
      ceph-volume-wait-for-lvs.patch: Drop, included upstream.
    - d/p/bluefs-use-uint64_t-for-len.patch: Cherry pick fix to resolve
      FTBFS on 32 bit architectures.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Nov 2019 14:10:20 +0000

ceph (14.2.2-0ubuntu4) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:38:16 +0000

ceph (14.2.2-0ubuntu3) eoan; urgency=medium

  * d/rules: Disable SPDK support as this generates a build which
    has a minimum CPU baseline of 'corei7' on x86_64 which is not
    compatible with older CPU's (LP: #1842020).
  * d/p/issue40781.patch: Cherry pick fix for py3 compatibility in ceph-
    crash.

 -- James Page <james.page@ubuntu.com>  Tue, 03 Sep 2019 14:52:38 +0100

ceph (14.2.2-0ubuntu2) eoan; urgency=medium

  [ Eric Desrochers ]
  * Ensure that daemons are not automatically restarted during package
    upgrades (LP: #1840347):
    - d/rules: Use "--no-restart-after-upgrade" and "--no-stop-on-upgrade"
      instead of "--no-restart-on-upgrade".
    - d/rules: Drop exclusion for ceph-[osd,mon,mds] for restarts.

  [ Jesse Williamson ]
  * d/p/civetweb-755-1.8-somaxconn-configurable*.patch: Backport changes
    to civetweb to allow tuning of SOMAXCONN in Ceph RADOS Gateway
    deployments (LP: #1838109).

  [ James Page ]
  * d/p/ceph-volume-wait-for-lvs.patch: Cherry pick inflight fix to
    ensure that required wal and db devices are present before
    activating OSD's (LP: #1828617).

  [ Steve Beattie ]
  * SECURITY UPDATE: RADOS gateway remote denial of service
    - d/p/CVE-2019-10222.patch: rgw: asio: check the remote endpoint
      before processing requests.
    - CVE-2019-10222

 -- James Page <james.page@ubuntu.com>  Thu, 29 Aug 2019 13:54:25 +0100

ceph (14.2.2-0ubuntu1) eoan; urgency=medium

  * New upstream release.
  * d/p/fix-py3-encoding-fsid.patch: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Aug 2019 08:42:02 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libradosstriper1`.
